PAPI_reset(3)

NAME
PAPI_reset -

Reset the hardware event counts in an event set.

SYNOPSIS

Detailed Description

@par C Prototype:

    int PAPI_reset( int EventSet );

@param EventSet
    an integer handle for a PAPI event set as created by PAPI_create_eventset

@retval PAPI_OK
@retval PAPI_ESYS
    A system or C library call failed inside PAPI, see the errno variable.
@retval PAPI_ENOEVST
    The EventSet specified does not exist.

PAPI_reset() zeroes the values of the counters contained in EventSet.
This call assumes an initialized PAPI library and a properly added event set

@par Example:

int EventSet = PAPI_NULL;
int Events[] = {PAPI_TOT_INS, PAPI_FP_OPS};
int ret;

// Create an empty EventSet
ret = PAPI_create_eventset(&EventSet);
if (ret != PAPI_OK) handle_error(ret);

// Add two events to our EventSet
ret = PAPI_add_events(EventSet, Events, 2);
if (ret != PAPI_OK) handle_error(ret);

// Start counting
ret = PAPI_start(EventSet);
if (ret != PAPI_OK) handle_error(ret);

// Stop counting, ignore values
ret = PAPI_stop(EventSet, NULL);
if (ret != PAPI_OK) handle_error(ret);

// reset the counters in this EventSet
ret = PAPI_reset(EventSet);
if (ret != PAPI_OK) handle_error(ret);
 *

See Also:
    PAPI_create_eventset

Author

Generated automatically by Doxygen for PAPI from the source code.